// 懒加载
start();
var clock;
$(window).on('scroll',
function() {
    if (clock) {
        clearTimeout(clock);
    }
    clock = setTimeout(function() {
        start()
    },
    200)
}) 
function start() {
    $('body img').not('[data-isLoading]').each(function() {
        if (isShow($(this))) {
            loadImg($(this));
        }
    })
}
function isShow($node) {
    return $node.offset().top <= $(window).height() + $(window).scrollTop();
}
function loadImg($img) {
    $img.attr('src', $img.attr('data-src'));
    $img.attr('data-isLoading', 1);
}
// 搜索
$(document).ready(function() {
    $('.searchdj ul a').on('click',
    function() {
        $('.searchdj ul a').removeClass('active');
        $(this).addClass('active');
    });
    // 本地搜索
    $(".guojiz").click(function() {
        $(".www").attr("action", "/search.html");
        $(".www input").attr("placeholder", "本地搜索");
        $(".www input").attr("name", "ks");
        $(".www").attr("target", "");
    });
    // 本地搜索文章
    $(".wz").click(function() {
        $(".www").attr("action", "/newsso.html");
        $(".www input").attr("placeholder", "文章搜索");
        $(".www input").attr("name", "ks");
        $(".www").attr("target", "");
    });
    // 百度搜索
    $(".bd").click(function() {
        $(".www").attr("action", "https://www.baidu.com/s");
        $(".www input").attr("placeholder", "百度搜索");
        $(".www input").attr("name", "wd");
        $(".www").attr("target", "_blank");
    });
    // 搜狗搜索
    $(".sg").click(function() {
        $(".www").attr("action", "https://www.sogou.com/sogou");
        $(".www input").attr("placeholder", "搜狗搜索");
        $(".www input").attr("name", "query");
        $(".www").attr("target", "_blank");
    });
    // 360搜索
    $(".so360").click(function() {
        $(".www").attr("action", "https://www.so.com/s");
        $(".www input").attr("placeholder", "360搜索");
        $(".www input").attr("name", "q");
        $(".www").attr("target", "_blank");
    });
    // 谷歌搜索
    $(".google").click(function() {
        $(".www").attr("action", "https://www.google.com/search");
        $(".www input").attr("placeholder", "google搜索");
        $(".www input").attr("name", "q");
        $(".www").attr("target", "_blank");
    });
    // 头条搜索
    $(".toutiao").click(function() {
        $(".www").attr("action", "https://www.toutiao.com/search/");
        $(".www input").attr("placeholder", "头条搜索");
        $(".www input").attr("name", "keyword");
        $(".www").attr("target", "_blank");
    });
    // 花瓣搜索
    $(".huaban").click(function() {
        $(".www").attr("action", "https://huaban.com/search/");
        $(".www input").attr("placeholder", "花瓣搜索");
        $(".www input").attr("name", "q");
        $(".www").attr("target", "_blank");
    });
    // 灵感搜索
    $(".linggan").click(function() {
        $(".www").attr("action", "http://www.miansheji.com/soso_linggan");
        $(".www input").attr("placeholder", "灵感搜索");
        $(".www input").attr("name", "ks");
        $(".www").attr("target", "_blank");
    });
    // 福利搜索
    $(".fuli").click(function() {
        $(".www").attr("action", "http://www.115.cool/soso_xinggan");
        $(".www input").attr("placeholder", "福利搜索");
        $(".www input").attr("name", "ks");
        $(".www").attr("target", "_blank");
    });
    
});